Name: myBudget
Version: 0.60
Release: alt1

Summary: myBudget is program for simple and easy control of your budget.
Summary(be_BY.UTF-8): myBudget - простая праграма для кіраваньня вашымі грашовымі выдаткамі.
Summary(ru_RU.UTF-8): myBudget - простая праграмма для управления вашим бюджетом.
License: LGPL
Group: Office

Url: http://www.abisource.com/~msevior
Source: http://www.abisource.com/~msevior/%name-%version.tar.gz
Source1: %name.desktop
Source3: %name-icon-16.png
Source4: %name-icon-32.png
Source5: %name-icon-64.png
Patch1: %name-0.51-install.patch
Patch2: %name-0.60-install.patch

Requires: python, pygtk2-libglade, gnome-python2-gconf, python-tools-i18n, gnome-python2
BuildRequires: python, pygtk2-libglade, gnome-python2-gconf, python-tools-i18n, gnome-python2
BuildPreReq: menu-devel

%description
myBudget is program for simple and easy control of your budget.
Using this program you can:

    * Create a budget and organize budget items into categories.
    * Nominate budget items to be paid from either a cash account or via a
	  "Direct Debit" account which allows you to save for big ticket items and
	  ensure timely payment of scheduled bills.
    * Automatically calculates how much money you must put aside each fortnight
	  to meet all your "Direct Debit" obligations.
    * Automatically tells you how much money you must have in Direct Debit
	  account to meet your obligatory payments on any particular date.
    * Record and save expenses against each of your budget categories.
    * Track how your expenses relate to your budget so you can determine if
	  you are over or under-spending in any of your categories.
    * Sort your records into categories or by date.
    * Comes with realistic example to show how things work.
    * Allows you to export any of your reports, records, budget and Direct Debit
	  status to the Gnumeric Spreadsheet program where they can be either printed
	  or used for more detailed analysis.
    * Allows you to export any of your reports, records, budget and Direct Debit
	  status to the AbiWord WordProcessor program where they can be printed or
	  incorporated into a report.

%prep
%setup -q -n %name-%version
#%patch1 -p1
%patch2 -p1

%build
find . -type d -name '.xvpics' | xargs rm -rf

%install
%__mkdir_p %buildroot
install -pD -m644 %name.desktop %buildroot%_datadir/applications/%name.desktop
install -pD -m644 %name-icon.svg %buildroot%_datadir/pixmaps/%name-icon.svg
install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name-icon.png
install -pD -m644 %SOURCE4 %buildroot%_iconsdir/%name-icon.png
install -pD -m644 %SOURCE5 %buildroot%_liconsdir/%name-icon.png

./install.py %buildroot%prefix

# menus
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Applications/Finances" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/%name/*
%_menudir/%name
%_datadir/pixmaps/%name-icon.*
%_datadir/applications/%name.desktop
%_iconsdir/*.png
%_iconsdir/*/*.png

%changelog
* Wed Sep 08 2004 Vital Khilko <vk@altlinux.ru> 0.60-alt1
- 0.60

* Wed Sep 08 2004 Vital Khilko <vk@altlinux.ru> 0.51-alt2
- fixed #5180

* Wed Jun 02 2004 Vital Khilko <vk@altlinux.ru> 0.51-alt1
- new version

* Thu May 27 2004 Vital Khilko <vk@altlinux.ru> 0.5-alt1
- initial build for ALT Linux Sisyphus
